//
//  IFS3DView.h
//  IFS3D
//
//  Copyright (c) 2001 David Leppik.
//

// This is the main view class, and the one which the screen saver program looks for.


#import <ScreenSaver/ScreenSaver.h>
#import <OpenGL/gl.h>
#import <OpenGL/glu.h>

#import "IFS3DPreferences.h"
#import "IFS3D.h"

#define MAX_FRAMERATE_SECS 0.03333333;  // 30 frames per second

@interface IFS3DView : ScreenSaverView
{
    NSOpenGLView 	*theGLView;
    BOOL		isGLViewInited;
    
    
    unsigned int	tick;
    NSSize		screenSize;
    
    NSDate		*lastFrameTime;
    NSTimeInterval	estimatedFrameRate;
    
    float		viewRotation;
}

- (void)doAnimation;

- (void)updateFrameRateEstimate;

@end
