//
//  Raindrop.m
//  IFS3D
//
//  Copyright (c) 2001 David Leppik.
//

#import "Raindrop.h"


@implementation Raindrop

/** If YES, this shape has a left-eye and right-eye mode */
- (BOOL)isStereo { return NO; }

/** IFS3D_LEFT or IFS3D_RIGHT */
- (void)setEye:(enum ViewerEye)newEye {}
- (enum ViewerEye)getEye { return NEITHER; }

/** Call callGLParams and set view-specific GL settings */
- (void)setView:(id)view { [self callGlParams]; }


/** Enable or disable render settings for the shape */
- (void)callGlParams {
    glEnable(GL_DEPTH_TEST);
    
    glEnable(GL_BLEND);
    glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
    glEnable(GL_LINE_SMOOTH);
    
    glDisable(GL_CULL_FACE);
    glDisable(GL_LIGHTING);
}

/** Set color, pen width, etc. changes before drawing. */
- (void)prepareToDraw {}

- (void)draw3D {
    glBegin( GL_LINES );
        glColor4f( 1, 1, 1, 1 );	glVertex3f( 0.0, 0.0, 0.0 );
        glColor4f( 1, 1, 1, 0 );	glVertex3f( 0.0,-0.1, 0.0 );
    glEnd();
}
@end
